Wrong keys in icelandic keyboard layout

Bug #575978 reported by Peter Bengtsson on 2010-05-05
44
This bug affects 4 people
Affects Status Importance Assigned to Milestone
xkeyboard-config
Fix Released
Medium
xkeyboard-config (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: xkeyboard-config

The Icelandic keyboard layout currently has a key with a degree sign (°) and an umlaut/diaeresis sign (¨). The normal
function of this key appears to be to compose with the next character to form "å" or "ä", but in Ubuntu (up to and
including 10.04 - Lucid Lynx) the key produces the abovementioned signs by themselves.

Line 26 in "/usr/share/X11/xkb/symbols/is" reads

key <TLDE> { [ degree, diaeresis, notsign, notsign ] };

Changing this to

key <TLDE> { [ dead_abovering, dead_diaeresis, notsign, notsign ] };

Appears to fix the problem.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: xkb-data 1.8-1ubuntu8 [modified: usr/share/X11/xkb/rules/evdev.xml usr/share/X11/xkb/symbols/is]
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-21-generic i686
Architecture: i386
Date: Wed May 5 21:13:08 2010
Dependencies:

DkmsStatus: Error: [Errno 2] No such file or directory
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
MachineType: Dell Inc. Latitude D610
PackageArchitecture: all
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.32-21-generic root=UUID=7a1f53e9-a603-4745-aeac-9b45fccc7d98 ro quiet splash
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: xkeyboard-config
dmi.bios.date: 10/02/2005
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A06
dmi.board.name: 0C4708
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA06:bd10/02/2005:svnDellInc.:pnLatitudeD610:pvr:rvnDellInc.:rn0C4708:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: Latitude D610
dmi.sys.vendor: Dell Inc.
system:
 distro: Ubuntu
 codename: lucid
 architecture: i686
 kernel: 2.6.32-21-generic

Peter Bengtsson (tesla) wrote :
Sigurdur Finnsson (sigbern) wrote :

There is an small error in the path,kbd should be xkb: /usr/share/X11/xkb/symbols/is

This fix works for me in Ubuntu 10.04.

Peter Bengtsson (tesla) wrote :

Well spotted. Thanks for correcting the path and testing the fix.

Changed in xkeyboard-config (Ubuntu):
status: New → Confirmed
Peter Bengtsson (tesla) on 2010-05-11
description: updated
Simos Xenitellis  (simosx) wrote :

Thanks for the report. According to the 'is' file, you can get 'dead_diairesis' if you press

AltGr + [

and 'dead_abovering' with

AltGr + {

I am not familiar with the standard Icelandic keyboard layout; is the case that you describe the typical keyboard layout that a user expects to find?
In addition, do 'degree' and 'diaeresis' have a use at all in Icelandic?

If you can provide info towards the standard layout that is expected for Iceland, we can create a patch and submit to the xkeyboard-config project for inclusion.

On 07/01/2010 08:47 PM, Simos Xenitellis wrote:
> Thanks for the report. According to the 'is' file, you can get
> 'dead_diairesis' if you press
>
> AltGr + [
>
> and 'dead_abovering' with
>
> AltGr + {

Indeed, the only trouble is that this is not what is indicated on the
physical keyboard. A reasonable image of an Icelandic keyboard is here:

http://commons.wikimedia.org/wiki/File:KB_Iceland.svg

> I am not familiar with the standard Icelandic keyboard layout; is the case
> that you describe the typical keyboard layout that a user expects to find?

Yes, though I an not sure about mac keyboards which might possibly be
different in some way.

> In addition, do 'degree' and 'diaeresis' have a use at all in Icelandic?

Degree, certainly - they use the celsius scale for temperature. Dieresis
not so much I think.

> If you can provide info towards the standard layout that is expected for
> Iceland, we can create a patch and submit to the xkeyboard-config
> project for inclusion.

I hope this helps. Please ask if there is anything else I can do
to help.

 -Peter

Only left-handed people are in their right minds.
Reality is for people who cannot face Science Fiction!

Simos Xenitellis  (simosx) wrote :

The SVG image is helpful, though we need a bit more to make into changes that will get committed quickly.
The SVG image was created my users without citing some sources. I believe that some intensive googling should reveal an official document on the layout.

If you see http://cgit.freedesktop.org/xkeyboard-config/tree/symbols/is
there are two e-mails of people who helped with the initial layout. The date of the basic layout is at least 2004, perhaps older.
If you can find either of these two people to give input, it would help tremendously.

Adam Guthrie (therigu) wrote :

Marking as patch-needswork based upon Simos' comments.

tags: added: patch patch-needswork
Bryce Harrington (bryce) wrote :

@Simos, maybe forward this bug upstream anyway to get some more attention to it, given that there hasn't been a reply from original reporter in some months.

Created attachment 60809
Change-degree-and-diaeresis-keys-to-deadkeys.patch

Forwarding this (stalled) bug from Ubuntu:
  https://bugs.launchpad.net/ubuntu/+source/xkeyboard-config/+bug/575978

[Original Report]
The Icelandic keyboard layout currently has a key with a degree sign (°) and an umlaut/diaeresis sign (¨). The normal function of this key appears to be to compose with the next character to form "å" or "ä", but in Ubuntu (up to and including 10.04 - Lucid Lynx) the key produces the abovementioned signs by themselves.

Line 26 in "/usr/share/X11/xkb/symbols/is" reads

key <TLDE> { [ degree, diaeresis, notsign, notsign ] };

Changing this to

key <TLDE> { [ dead_abovering, dead_diaeresis, notsign, notsign ] };

Appears to fix the problem.

Reasonable image of an Icelandic keyboard is:
http://commons.wikimedia.org/wiki/File:KB_Iceland.svg

[Discussion]
The main question is: Do either of these key symbols have separate use in Icelandic? Perhaps as a degree symbol for temperatures, but that's hardly unique to Icelandic, and other keyboards don't have such a key for that symbol (at least, standard US keyboards don't).

I found a virtual keyboard at http://mylanguages.org/icelandic_keyboard.php, where this key does in fact work as a deadkey for producing åůäüïöëÿ. (other letters result in just the ° or ¨ printed).

Bryce Harrington (bryce) wrote :

Peter Bengtsson - I've forwarded this bug upstream to https://bugs.freedesktop.org/show_bug.cgi?id=49314 - please subscribe yourself to this bug, in case they need further information or wish you to test something. Thanks ahead of time!

Changed in xkeyboard-config (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged

Actually, your patch does not work with git. See

https://bugs.freedesktop.org/show_bug.cgi?id=43173

Could you comment on that mismatch? What version is right?

Changed in xkeyboard-config:
importance: Unknown → Medium
status: Unknown → Confirmed

Closing; the requested change has been made in git. (The attached patch
is obviously wrong, as it does not match the text of the original request
in Launchpad.)

Changed in xkeyboard-config:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xkeyboard-config - 2.16-1ubuntu1

---------------
xkeyboard-config (2.16-1ubuntu1) xenial; urgency=medium

  * Merge with Debian (LP: #1536385, #575978), remaining changes:
    - control, rules, xkb-data-i18n.install, xkb-data.install: Split out
      xkb-data-i18n to be used by console-setup.
    - xkb-data.postinst.in: Remove the xkb cache to make sure it gets
      regenerated.
  * Drop 105_intelligent_keyboard.patch, never made upstream and seems to
    be redundant by now anyway.

 -- Timo Aaltonen <email address hidden> Fri, 22 Jan 2016 10:32:50 +0200

Changed in xkeyboard-config (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.